Index: /branches/libIGCM_MPI_OpenMP/AA_atlas_LMDZ
===================================================================
--- /branches/libIGCM_MPI_OpenMP/AA_atlas_LMDZ	(revision 591)
+++ /branches/libIGCM_MPI_OpenMP/AA_atlas_LMDZ	(revision 592)
@@ -185,12 +185,15 @@
     FreeName=$( echo ${config_UserChoices_JobName} | sed 's/.*_//' )
     R_SAVE=${R_OUT}/${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/${config_UserChoices_ExperimentName}/${FreeName}
+    R_FIGR=${R_FIG}/${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/${config_UserChoices_ExperimentName}/${FreeName}
     R_BUFR=${R_BUF}/${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/${config_UserChoices_ExperimentName}/${FreeName}
     R_DODS=${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/${config_UserChoices_ExperimentName}/${FreeName}
 else
     R_SAVE=${R_OUT}/${config_UserChoices_TagName}/${config_UserChoices_JobName}
+    R_FIGR=${R_FIG}/${config_UserChoices_TagName}/${config_UserChoices_JobName}
     R_BUFR=${R_BUF}/${config_UserChoices_TagName}/${config_UserChoices_JobName}
     R_DODS=${config_UserChoices_TagName}/${config_UserChoices_JobName}
 fi
 #
+IGCM_sys_MkdirArchive ${R_FIGR}
 
 R_ATLAS=ATLAS/SE_${YEARS}
@@ -228,12 +231,12 @@
 
 # Save files
-IGCM_sys_Put_Dir ATLAS ${R_SAVE}
+IGCM_sys_Put_Dir ATLAS ${R_FIGR}
 IGCM_sys_Rm -Rf ATLAS
 IGCM_sys_Rm ${config_UserChoices_JobName}_SE_${YEARS}_1M_histmth.nc
 
 # DODS copy
-IGCM_sys_TestDirArchive ${R_SAVE}/${R_ATLAS}
+IGCM_sys_TestDirArchive ${R_FIGR}/${R_ATLAS}
 [ $? = 0 ] && IGCM_sys_Put_Dods ${R_ATLAS}
 
-# Clean RUN_DIR_PATH (necessary for cesium)
+# Clean RUN_DIR_PATH (necessary for cesium and titane only)
 IGCM_sys_RmRunDir -Rf ${RUN_DIR_PATH}
Index: /branches/libIGCM_MPI_OpenMP/AA_atlas_ORCA_LIM
===================================================================
--- /branches/libIGCM_MPI_OpenMP/AA_atlas_ORCA_LIM	(revision 591)
+++ /branches/libIGCM_MPI_OpenMP/AA_atlas_ORCA_LIM	(revision 592)
@@ -185,12 +185,15 @@
     FreeName=$( echo ${config_UserChoices_JobName} | sed 's/.*_//' )
     R_SAVE=${R_OUT}/${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/${config_UserChoices_ExperimentName}/${FreeName}
+    R_FIGR=${R_FIG}/${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/${config_UserChoices_ExperimentName}/${FreeName}
     R_BUFR=${R_BUF}/${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/${config_UserChoices_ExperimentName}/${FreeName}
     R_DODS=${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/${config_UserChoices_ExperimentName}/${FreeName}
 else
     R_SAVE=${R_OUT}/${config_UserChoices_TagName}/${config_UserChoices_JobName}
+    R_FIGR=${R_FIG}/${config_UserChoices_TagName}/${config_UserChoices_JobName}
     R_BUFR=${R_BUF}/${config_UserChoices_TagName}/${config_UserChoices_JobName}
     R_DODS=${config_UserChoices_TagName}/${config_UserChoices_JobName}
 fi
 #
+IGCM_sys_MkdirArchive ${R_FIGR}
 
 R_ATLAS=ATLAS/SE_${YEARS}
@@ -263,5 +266,5 @@
 
 # Save files
-IGCM_sys_Put_Dir ATLAS ${R_SAVE}
+IGCM_sys_Put_Dir ATLAS ${R_FIGR}
 
 IGCM_sys_Rm -Rf ATLAS
@@ -274,7 +277,7 @@
 
 # DODS copy
-IGCM_sys_TestDirArchive ${R_SAVE}/${R_ATLAS}
+IGCM_sys_TestDirArchive ${R_FIGR}/${R_ATLAS}
 [ $? = 0 ] && IGCM_sys_Put_Dods ${R_ATLAS}
 
-# Clean RUN_DIR_PATH (necessary for cesium)
+# Clean RUN_DIR_PATH (necessary for cesium and titane only)
 IGCM_sys_RmRunDir -Rf ${RUN_DIR_PATH}
Index: /branches/libIGCM_MPI_OpenMP/AA_atlas_ORCHIDEE
===================================================================
--- /branches/libIGCM_MPI_OpenMP/AA_atlas_ORCHIDEE	(revision 591)
+++ /branches/libIGCM_MPI_OpenMP/AA_atlas_ORCHIDEE	(revision 592)
@@ -194,12 +194,15 @@
     FreeName=$( echo ${config_UserChoices_JobName} | sed 's/.*_//' )
     R_SAVE=${R_OUT}/${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/${config_UserChoices_ExperimentName}/${FreeName}
+    R_FIGR=${R_FIG}/${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/${config_UserChoices_ExperimentName}/${FreeName}
     R_BUFR=${R_BUF}/${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/${config_UserChoices_ExperimentName}/${FreeName}
     R_DODS=${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/${config_UserChoices_ExperimentName}/${FreeName}
 else
     R_SAVE=${R_OUT}/${config_UserChoices_TagName}/${config_UserChoices_JobName}
+    R_FIGR=${R_FIG}/${config_UserChoices_TagName}/${config_UserChoices_JobName}
     R_BUFR=${R_BUF}/${config_UserChoices_TagName}/${config_UserChoices_JobName}
     R_DODS=${config_UserChoices_TagName}/${config_UserChoices_JobName}
 fi
 #
+IGCM_sys_MkdirArchive ${R_FIGR}
 
 R_ATLAS=ATLAS/SE_${YEARS}
@@ -234,12 +237,12 @@
 
 # Save files
-IGCM_sys_Put_Dir ATLAS ${R_SAVE}
+IGCM_sys_Put_Dir ATLAS ${R_FIGR}
 IGCM_sys_Rm -Rf ATLAS
 IGCM_sys_Rm ${config_UserChoices_JobName}_SE_${YEARS}_1M_sechiba_history.nc
 
 # DODS copy
-IGCM_sys_TestDirArchive ${R_SAVE}/${R_ATLAS}
+IGCM_sys_TestDirArchive ${R_FIGR}/${R_ATLAS}
 [ $? = 0 ] && IGCM_sys_Put_Dods ${R_ATLAS}
 
-# Clean RUN_DIR_PATH (necessary for cesium)
+# Clean RUN_DIR_PATH (necessary for cesium and titane only)
 IGCM_sys_RmRunDir -Rf ${RUN_DIR_PATH}
Index: /branches/libIGCM_MPI_OpenMP/AA_atlas_PISCES
===================================================================
--- /branches/libIGCM_MPI_OpenMP/AA_atlas_PISCES	(revision 591)
+++ /branches/libIGCM_MPI_OpenMP/AA_atlas_PISCES	(revision 592)
@@ -186,12 +186,15 @@
     FreeName=$( echo ${config_UserChoices_JobName} | sed 's/.*_//' )
     R_SAVE=${R_OUT}/${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/${config_UserChoices_ExperimentName}/${FreeName}
+    R_FIGR=${R_FIG}/${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/${config_UserChoices_ExperimentName}/${FreeName}
     R_BUFR=${R_BUF}/${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/${config_UserChoices_ExperimentName}/${FreeName}
     R_DODS=${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/${config_UserChoices_ExperimentName}/${FreeName}
 else
     R_SAVE=${R_OUT}/${config_UserChoices_TagName}/${config_UserChoices_JobName}
+    R_FIGR=${R_FIG}/${config_UserChoices_TagName}/${config_UserChoices_JobName}
     R_BUFR=${R_BUF}/${config_UserChoices_TagName}/${config_UserChoices_JobName}
     R_DODS=${config_UserChoices_TagName}/${config_UserChoices_JobName}
 fi
 #
+IGCM_sys_MkdirArchive ${R_FIGR}
 
 R_ATLAS=ATLAS/SE_${YEARS}
@@ -232,5 +235,5 @@
 
 # Save files
-IGCM_sys_Put_Dir ATLAS ${R_SAVE}
+IGCM_sys_Put_Dir ATLAS ${R_FIGR}
 
 IGCM_sys_Rm -Rf ATLAS
@@ -239,7 +242,7 @@
 
 # DODS copy
-IGCM_sys_TestDirArchive ${R_SAVE}/${R_ATLAS}
+IGCM_sys_TestDirArchive ${R_FIGR}/${R_ATLAS}
 [ $? = 0 ] && IGCM_sys_Put_Dods ${R_ATLAS}
 
-# Clean RUN_DIR_PATH (necessary for cesium)
+# Clean RUN_DIR_PATH (necessary for cesium and titane only)
 IGCM_sys_RmRunDir -Rf ${RUN_DIR_PATH}
Index: /branches/libIGCM_MPI_OpenMP/AA_create_multi_se
===================================================================
--- /branches/libIGCM_MPI_OpenMP/AA_create_multi_se	(revision 591)
+++ /branches/libIGCM_MPI_OpenMP/AA_create_multi_se	(revision 592)
@@ -546,4 +546,4 @@
 fi
 
-# Clean RUN_DIR_PATH (necessary for cesium)
+# Clean RUN_DIR_PATH (necessary for cesium and titane only)
 IGCM_sys_RmRunDir -Rf ${RUN_DIR_PATH}
Index: /branches/libIGCM_MPI_OpenMP/AA_create_se
===================================================================
--- /branches/libIGCM_MPI_OpenMP/AA_create_se	(revision 591)
+++ /branches/libIGCM_MPI_OpenMP/AA_create_se	(revision 592)
@@ -697,4 +697,4 @@
 fi
 
-# Clean RUN_DIR_PATH (necessary for cesium)
+# Clean RUN_DIR_PATH (necessary for cesium and titane only)
 IGCM_sys_RmRunDir -Rf ${RUN_DIR_PATH}
Index: /branches/libIGCM_MPI_OpenMP/AA_create_ts
===================================================================
--- /branches/libIGCM_MPI_OpenMP/AA_create_ts	(revision 591)
+++ /branches/libIGCM_MPI_OpenMP/AA_create_ts	(revision 592)
@@ -244,25 +244,44 @@
 fi
 
-#
+#==================================
 # First of all
 #
+typeset option
+
+#==================================
+# Read UserChoices section: 
 IGCM_card_DefineArrayFromSection       ${CARD_DIR}/config.card UserChoices
-typeset option
+echo
+IGCM_debug_Print 1 "DefineArrayFromOption  : config_UserChoices"
 for option in ${config_UserChoices[*]} ; do
     IGCM_card_DefineVariableFromOption ${CARD_DIR}/config.card UserChoices ${option}
+    eval auxprint=\${config_UserChoices_${option}}
+    IGCM_debug_Print 3 "${option} : ${auxprint}"
 done
 #
 echo
-IGCM_debug_Print 1 "DefineArrayFromOption  : config_UserChoices"
-IGCM_debug_PrintVariables 3 config_UserChoices_JobName
-IGCM_debug_PrintVariables 3 config_UserChoices_LongName
-IGCM_debug_PrintVariables 3 config_UserChoices_TagName
-IGCM_debug_PrintVariables 3 config_UserChoices_SpaceName
-IGCM_debug_PrintVariables 3 config_UserChoices_ExperimentName
-IGCM_debug_PrintVariables 3 config_UserChoices_CalendarType
-IGCM_debug_PrintVariables 3 config_UserChoices_DateBegin
-IGCM_debug_PrintVariables 3 config_UserChoices_DateEnd
-IGCM_debug_PrintVariables 3 config_UserChoices_PeriodLength
+
+#==================================
+# Read Post section: 
+IGCM_card_DefineArrayFromSection ${CARD_DIR}/config.card Post
 echo
+IGCM_debug_Print 1 "DefineArrayFromOption : config_Post"
+for option in ${config_Post[*]} ; do
+  IGCM_card_DefineVariableFromOption ${CARD_DIR}/config.card Post ${option}
+  eval auxprint=\${config_Post_${option}}
+  IGCM_debug_Print 3 "${option} : ${auxprint}"
+done
+#
+echo
+
+#==================================
+# Define default value to keep compatibility with previous card: means before changes due to TGCC 
+[ X${config_Post_PackFrequency} = X ] && config_Post_PackFrequency=${config_Post_RebuildFrequency}
+
+#==================================
+# If pack is active then PackFrequency overule the config_UserChoices_PeriodLength
+if ( [ ! X${config_Post_PackFrequency} = X${NULL_STR} ] && [ ! X${config_Post_PackFrequency} = XNONE ] ) ; then
+  config_UserChoices_PeriodLength=${config_Post_PackFrequency}
+fi
 
 #==================================
@@ -869,5 +888,5 @@
 fi
 
-# Clean RUN_DIR_PATH (necessary for cesium)
+# Clean RUN_DIR_PATH (necessary for cesium and titane only)
 IGCM_sys_RmRunDir -Rf ${RUN_DIR_PATH}
 
Index: /branches/libIGCM_MPI_OpenMP/AA_monitoring
===================================================================
--- /branches/libIGCM_MPI_OpenMP/AA_monitoring	(revision 591)
+++ /branches/libIGCM_MPI_OpenMP/AA_monitoring	(revision 592)
@@ -231,16 +231,20 @@
     FreeName=$( echo ${config_UserChoices_JobName} | sed 's/.*_//' )
     R_SAVE=${R_OUT}/${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/${config_UserChoices_ExperimentName}/${FreeName}
+    R_FIGR=${R_FIG}/${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/${config_UserChoices_ExperimentName}/${FreeName}
     R_BUFR=${R_BUF}/${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/${config_UserChoices_ExperimentName}/${FreeName}
     R_DODS=${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/${config_UserChoices_ExperimentName}/${FreeName}
 else
     R_SAVE=${R_OUT}/${config_UserChoices_TagName}/${config_UserChoices_JobName}
+    R_FIGR=${R_FIG}/${config_UserChoices_TagName}/${config_UserChoices_JobName}
     R_BUFR=${R_BUF}/${config_UserChoices_TagName}/${config_UserChoices_JobName}
     R_DODS=${config_UserChoices_TagName}/${config_UserChoices_JobName}
 fi
+
+IGCM_sys_MkdirArchive ${R_FIGR}
 #
-IGCM_sys_TestDirArchive ${R_SAVE}/MONITORING
+IGCM_sys_TestDirArchive ${R_FIGR}/MONITORING
 if [ $? = 0 ] ; then
     IGCM_debug_Print 1 "Get MONITORING directory from archive"
-    IGCM_sys_Get_Dir ${R_SAVE}/MONITORING ${RUN_DIR}
+    IGCM_sys_Get_Dir ${R_FIGR}/MONITORING ${RUN_DIR}
 else
     IGCM_debug_Print 1 "MONITORING first pass. Nothing has been done before"
@@ -292,9 +296,9 @@
 
 # Save files
-IGCM_sys_Put_Dir MONITORING ${R_SAVE}
+IGCM_sys_Put_Dir MONITORING ${R_FIGR}
 
 # Dods copy
 IGCM_sys_Put_Dods MONITORING
 
-# Clean RUN_DIR_PATH (necessary for cesium)
+# Clean RUN_DIR_PATH (necessary for cesium and titane only)
 IGCM_sys_RmRunDir -Rf ${RUN_DIR_PATH}
Index: /branches/libIGCM_MPI_OpenMP/AA_pack_debug
===================================================================
--- /branches/libIGCM_MPI_OpenMP/AA_pack_debug	(revision 591)
+++ /branches/libIGCM_MPI_OpenMP/AA_pack_debug	(revision 592)
@@ -3,5 +3,5 @@
 #-Q- cesium ## CESIUM   CEA ##
 #-Q- cesium ######################
-#-Q- cesium #MSUB -r PACKDEBUG    # Nom du job                
+#-Q- cesium #MSUB -r PACKDEBUG    # Nom du job
 #-Q- cesium #MSUB -N 1              # Reservation du noeud
 #-Q- cesium #MSUB -n 1              # Reservation du processus
@@ -27,5 +27,5 @@
 #-Q- sx8brodie # Nom du travail LoadLeveler
 #-Q- sx8brodie # @ job_name   = PACKDEBUG
-#-Q- sx8brodie # Fichier de sortie standard du travail       
+#-Q- sx8brodie # Fichier de sortie standard du travail
 #-Q- sx8brodie # @ output     = $(job_name).$(jobid)
 #-Q- sx8brodie # Fichier de sortie d'erreur du travail
@@ -81,5 +81,5 @@
 #-Q- sx9mercure ## CESIUM   CEA ##
 #-Q- sx9mercure ######################
-#-Q- sx9mercure #MSUB -r PACKDEBUG    # Nom du job                
+#-Q- sx9mercure #MSUB -r PACKDEBUG    # Nom du job
 #-Q- sx9mercure #MSUB -N 1              # Reservation du noeud
 #-Q- sx9mercure #MSUB -n 1              # Reservation du processus
@@ -91,5 +91,5 @@
 #-Q- titane ## TITANE   CEA     ##
 #-Q- titane ######################
-#-Q- titane #MSUB -r PACKDEBUG    # Nom du job                
+#-Q- titane #MSUB -r PACKDEBUG    # Nom du job
 #-Q- titane #MSUB -eo
 #-Q- titane #MSUB -n 1              # Reservation du processus
@@ -178,15 +178,15 @@
 #RESTART/ATM_****.nc
 #RESTART/OCE_****.nc
-#Attention de bien conserver les dates d'origines 
+#Attention de bien conserver les dates d'origines
 #
 #Dans le cadre de la production nouvelle chaine
 #ils auront directement le bon nom
 #
-#On veut egalement que l'archive soit par periode de temps 
-# cette periode est definie par la taille du pack donc connue 
-# en entree du script (1M, 1Y, 5Y, 10Y etc...) 
-#
-# $1= PATH/config_card d'une simulation avec 
-# TagName/JobName/ExperimentName/SpaceName/DateBegin/DateEnd/PATH_SIMUL
+#On veut egalement que l'archive soit par periode de temps
+# cette periode est definie par la taille du pack donc connue
+# en entree du script (1M, 1Y, 5Y, 10Y etc...)
+#
+# $1= PATH/config_card d'une simulation avec
+# TagName/JobName/ExperimentName/SpaceName/DateBegin/DateEnd
 # $2=PeriodPack en M/m ou Y/y
 
@@ -223,11 +223,8 @@
 fi
 
-#
+#====================================================
 # First of all
 #
-#### 0- lecture de config.card 
-#### on veut les renseignements suivants : 
-#### JobName, PATH_SIMUL, DateBegin et DateEnd
-
+# Read config.card
 IGCM_card_DefineArrayFromSection     ${CARD_DIR}/config.card UserChoices
 typeset option
@@ -250,6 +247,8 @@
 
 #====================================================
-#R_SAVE : Job output storage directory
-#R_BUFR : Job output buffered directory
+# Prepare environment
+#R_SAVE      : Job output storage directory
+#R_BUFR      : Job output buffered directory
+#STORE_DEBUG : Where we store tar files
 
 if ( [ ! X${config_UserChoices_SpaceName} = X ] && [ ! X${config_UserChoices_ExperimentName} = X ] ) ; then
@@ -264,20 +263,15 @@
 [ $? != 0 ] && IGCM_debug_Exit "IGCM_sys_TestDirArchive"
 
-#### Preparation de l'environnement
-# repertoire dans lequel seront crees les archives
-#STORE_DEBUG=/scratch/cont003/p86denv/Pack_Test/DEBUG
+#STORE_DEBUG=/ccc/store/cont003/dsm/p86denv/.../DEBUG
 STORE_DEBUG=${R_SAVE}/DEBUG
 IGCM_sys_MkdirArchive ${STORE_DEBUG}
 
+#cd ${STORE_DEBUG}
+#rm -f *
+
 # Switch to script variables meaning (try to be compatible with ipsl_pack TGCC moving procedure)
 JobName=${config_UserChoices_JobName}
-PATH_SIMUL=${R_BUFR}
-echo $JobName $PATH_SIMUL $DateBegin $DateEnd
-
-#### 1- renommer les fichiers ######
-#cd ${STORE_DEBUG}
-#rm -rf *
-
-# On les copie sur le scratchdir en changeant le nom et conservant la date
+echo $JobName $DateBegin $DateEnd
+
 # Clear txt file lists
 rm -f ${RUN_DIR}/liste_debug_files.txt
@@ -286,5 +280,5 @@
 
 # Create sorted debug list to work with
-find ${PATH_SIMUL}/*/Debug -type f | sort >> ${RUN_DIR}/liste_debug_files.txt
+find ${R_BUFR}/*/Debug -type f | sort >> ${RUN_DIR}/liste_debug_files.txt
 
 # Rename debug files we will work with using symlinks
@@ -312,15 +306,14 @@
   IGCM_debug_PrintVariables 3 number_pack
 
-  DaysTemp=$( IGCM_date_DaysInNextPeriod ${date_begin_pack} ${PeriodPack} )
-  date_end_pack=$( IGCM_date_AddDaysToGregorianDate ${date_begin_pack} ${DaysTemp} )
+  DaysTemp=$( IGCM_date_DaysInCurrentPeriod ${date_begin_pack} ${PeriodPack} )
+  date_end_pack=$( IGCM_date_AddDaysToGregorianDate ${date_begin_pack} $(( ${DaysTemp} - 1 )) )
 
   for file in $( gawk '{print $11}' ${RUN_DIR}/new_liste_debug_files.txt ); do
     extract_date_file=$( echo ${file}  | sed -e "s/.*${JobName}_[0-9]*_//" )
     date_file=$( echo ${extract_date_file} | sed 's/\([0-9]\{8\}\)_.*$/\1/g' )
-#   echo pack nÂ°${number_pack}  ${date_file} ${date_begin_pack} ${date_end_pack} 
-    if [ ${date_file} -lt ${date_end_pack} ] && [ ${date_file} -ge ${date_begin_pack} ] ; then 
+#   echo pack nÂ°${number_pack}  ${date_file} ${date_begin_pack} ${date_end_pack}
+    if [ ${date_file} -le ${date_end_pack} ] && [ ${date_file} -ge ${date_begin_pack} ] ; then
         echo $( basename ${file} ) >> ${RUN_DIR}/liste_pack_${number_pack}.txt
-	echo $( ls -L ${file} ) >> ${RUN_DIR}/liste_remove_pack_${number_pack}.txt
-
+        echo $( readlink ${file} ) >> ${RUN_DIR}/liste_remove_pack_${number_pack}.txt
 #    Will not work. Need to find a better ordering.
 #    elif [ ${date_file} -ge ${date_end_pack} ] ; then
@@ -350,2 +343,7 @@
 
 done
+
+# Clean RUN_DIR_PATH (necessary for cesium and titane only)
+IGCM_sys_RmRunDir -Rf ${RUN_DIR_PATH}
+
+date
